#!/bin/csh
#
set echo
set time=1
#
date
#
# --- remap nested archive files, adding more layers at the top.
# --- removes unnecessary fields - output to 010

setenv P  ~/ARCHIVE/hycom
setenv R  GOMl0.04
#
setenv DI ${P}/${R}/expt_01.0/nest
setenv D  ${P}/${R}/expt_01.1/nest
setenv T  ${P}/${R}/topo
setenv EI 010
setenv E  011
#
cd ${DI}
#
touch regional.depth.a regional.depth.b
if (-z regional.depth.a) then
  /bin/rm regional.depth.a
  /bin/ln -s ${T}/depth_GOMl0.04_71.a regional.depth.a
endif
if (-z regional.depth.b) then
  /bin/rm regional.depth.b
  /bin/ln -s ${T}/depth_GOMl0.04_71.b regional.depth.b
endif
#
touch regional.grid.a regional.grid.b
if (-z regional.grid.a) then
  /bin/rm regional.grid.a
  /bin/ln -s ${T}/regional.grid.a .
endif
if (-z regional.grid.b) then
  /bin/rm regional.grid.b
  /bin/ln -s ${T}/regional.grid.b .
endif
#
foreach ydh ( 2010_122_00 2010_123_00 2010_124_00 2010_125_00 2010_126_00 )
    touch   ${D}/archv.${ydh}.a
    /bin/rm ${D}/archv.${ydh}.[ab]
    ~/hycom/ALL/archive/src/remap_archv <<E-o-D
${DI}/201_archv.${ydh}.a
${D}/archv.${ydh}.a
${E}	  'iexpt ' = experiment number x10 (000=from archive file)
   3	  'yrflag' = days in year flag (0=360,  1=366,  2=366J1, 3=actual)
 541	  'idm   ' = longitudinal array size
 385	  'jdm   ' = latitudinal  array size
  20	  'kdmold' = original number of layers
  23	  'kdmnew' = target   number of layers
   3	  'newtop' = kdmnew-kdmold if only new layers added at top (0 otherwise)
  23	  'nhybrd' = number of hybrid levels (0=all isopycnal)
   2	  'nsigma' = number of sigma  levels (nhybrd-nsigma z-levels)
   3.0	  'dp00  ' = deep    z-level spacing minimum thickness (m)
  12.0	  'dp00x ' = deep    z-level spacing maximum thickness (m)
   1.16   'dp00f ' = deep    z-level spacing stretching factor (1.0=const.space)
   1.0    'ds00  ' = shallow z-level spacing minimum thickness (m)
   4.0    'ds00x ' = shallow z-level spacing maximum thickness (m)
   1.16   'ds00f ' = shallow z-level spacing stretching factor (1.0=const.space)
  25.0	  'thbase' = reference density (sigma units)
  16.50   'sigma ' = layer  1 isopycnal target density (sigma units)
  17.50   'sigma ' = layer  2 isopycnal target density (sigma units)
  18.50   'sigma ' = layer  3 isopycnal target density (sigma units)
  19.50   'sigma ' = layer  4 isopycnal target density (sigma units)
  20.25   'sigma ' = layer  5 isopycnal target density (sigma units)
  21.00   'sigma ' = layer  6 isopycnal target density (sigma units)
  21.75   'sigma ' = layer  7 isopycnal target density (sigma units)
  22.50   'sigma ' = layer  8 isopycnal target density (sigma units)
  23.25   'sigma ' = layer  9 isopycnal target density (sigma units)
  24.00   'sigma ' = layer 10 isopycnal target density (sigma units)
  24.70   'sigma ' = layer 11 isopycnal target density (sigma units)
  25.28   'sigma ' = layer 12 isopycnal target density (sigma units)
  25.77   'sigma ' = layer 13 isopycnal target density (sigma units)
  26.18   'sigma ' = layer 14 isopycnal target density (sigma units)
  26.52   'sigma ' = layer 15 isopycnal target density (sigma units)
  26.80   'sigma ' = layer 16 isopycnal target density (sigma units)
  27.03   'sigma ' = layer 17 isopycnal target density (sigma units)
  27.22   'sigma ' = layer 18 isopycnal target density (sigma units)
  27.38   'sigma ' = layer 19 isopycnal target density (sigma units)
  27.52   'sigma ' = layer 20 isopycnal target density (sigma units)
  27.64   'sigma ' = layer 21 isopycnal target density (sigma units)
  27.74   'sigma ' = layer 22 isopycnal target density (sigma units)
  27.82   'sigma ' = layer 23 isopycnal target density (sigma units)
E-o-D
#
end
#
date
