#!/bin/csh
#
set echo
set time=1
#
date
#
# --- remap nested archive files after expanding nearsurface min lyr thknss
# --- removes unnecessary fields - output to 020

setenv P  ~/ARCHIVE/hycom
setenv R  HyHWRF
#
setenv DI ${P}/${R}/expt_isaac/archives
setenv D  ${P}/${R}/expt_isaac/archives
setenv T  ${P}/${R}/topo
setenv E  000
#
cd ${DI}
#
touch regional.depth.a regional.depth.b
if (-z regional.depth.a) then
  /bin/rm regional.depth.a
  /bin/ln -s ${T}/regional.depth.a .
endif
if (-z regional.depth.b) then
  /bin/rm regional.depth.b
  /bin/ln -s ${T}/regional.depth.b .
endif
#
touch regional.grid.a regional.grid.b
if (-z regional.grid.a) then
  /bin/rm regional.grid.a
  /bin/ln -s ${T}/regional.grid.a .
endif
if (-z regional.grid.b) then
  /bin/rm regional.grid.b
  /bin/ln -s ${T}/regional.grid.b .
endif
#
touch   ${D}/hwrf_rtofs_hat11ztop.t00z.2012_241_00.a
/bin/rm ${D}/hwrf_rtofs_hat11ztop.t00z.2012_241_00.[ab]
~/hycom/ALL/archive/src/remap_archv_ztop <<E-o-D
${DI}/hwrf_rtofs_hat11.t00z.2012_241_00.a
${D}/hwrf_rtofs_hat11ztop.t00z.2012_241_00.a
${E}	  'iexpt ' = experiment number x10 (000=from archive file)
   3	  'yrflag' = days in year flag (0=360,  1=366,  2=366J1, 3=actual)
 563	  'idm   ' = longitudinal array size
 351	  'jdm   ' = latitudinal  array size
  32	  'kdmold' = original number of layers
  32	  'kdmnew' = target   number of layers
   0	  'newtop' = kdmnew-kdmold if only new layers added at top (0 otherwise)
  32	  'nhybrd' = number of hybrid levels (0=all isopycnal)
   0	  'nsigma' = number of sigma  levels (nhybrd-nsigma z-levels)
   1.5000 'dp0k  ' = layer   0 deep    z-level spacing minimum thickness (m)
   3.5000 'dp0k  ' = layer   1 deep    z-level spacing minimum thickness (m)
   5.5000 'dp0k  ' = layer   2 deep    z-level spacing minimum thickness (m)
   7.5000 'dp0k  ' = layer   3 deep    z-level spacing minimum thickness (m)
   9.0000 'dp0k  ' = layer   4 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer   5 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer   6 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer   7 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer   8 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer   9 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  10 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  11 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  12 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  13 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  14 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  15 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  16 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  17 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  18 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  19 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  20 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  21 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  22 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  23 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  24 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  25 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  26 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  27 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  28 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  29 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  30 deep    z-level spacing minimum thickness (m)
  10.0000 'dp0k  ' = layer  31 deep    z-level spacing minimum thickness (m)
  34.0	  'thbase' = reference density (sigma units)
  19.00   'sigma ' = layer  0 isopycnal target density (sigma units)
  20.00   'sigma ' = layer  1 isopycnal target density (sigma units)
  21.00   'sigma ' = layer  2 isopycnal target density (sigma units)
  22.00   'sigma ' = layer  3 isopycnal target density (sigma units)
  23.00   'sigma ' = layer  4 isopycnal target density (sigma units)
  24.00   'sigma ' = layer  5 isopycnal target density (sigma units)
  25.00   'sigma ' = layer  6 isopycnal target density (sigma units)
  26.00   'sigma ' = layer  7 isopycnal target density (sigma units)
  27.00   'sigma ' = layer  8 isopycnal target density (sigma units)
  28.00   'sigma ' = layer  9 isopycnal target density (sigma units)
  29.00   'sigma ' = layer 10 isopycnal target density (sigma units)
  29.80   'sigma ' = layer 11 isopycnal target density (sigma units)
  30.50   'sigma ' = layer 12 isopycnal target density (sigma units)
  31.10   'sigma ' = layer 13 isopycnal target density (sigma units)
  31.65   'sigma ' = layer 14 isopycnal target density (sigma units)
  32.20   'sigma ' = layer 15 isopycnal target density (sigma units)
  32.75   'sigma ' = layer 16 isopycnal target density (sigma units)
  33.30   'sigma ' = layer 17 isopycnal target density (sigma units)
  33.80   'sigma ' = layer 18 isopycnal target density (sigma units)
  34.30   'sigma ' = layer 19 isopycnal target density (sigma units)
  34.80   'sigma ' = layer 20 isopycnal target density (sigma units)
  35.30   'sigma ' = layer 21 isopycnal target density (sigma units)
  35.80   'sigma ' = layer 22 isopycnal target density (sigma units)
  36.20   'sigma ' = layer 23 isopycnal target density (sigma units)
  36.43   'sigma ' = layer 24 isopycnal target density (sigma units)
  36.65   'sigma ' = layer 25 isopycnal target density (sigma units)
  36.85   'sigma ' = layer 26 isopycnal target density (sigma units)
  37.00   'sigma ' = layer 27 isopycnal target density (sigma units)
  37.06   'sigma ' = layer 28 isopycnal target density (sigma units)
  37.12   'sigma ' = layer 29 isopycnal target density (sigma units)
  37.23   'sigma ' = layer 30 isopycnal target density (sigma units)
  37.42   'sigma ' = layer 31 isopycnal target density (sigma units)
E-o-D
#
date
