#!/bin/csh
#PBS -N subregion_depth
#PBS -A ocean-osse
#PBS -d .
#PBS -q batch
#PBS -o subregion_depth.out
#PBS -e subregion_depth.err
#PBS -l walltime=0:10:0
#PBS -l procs=1
#
set echo
#
# --- form subregion bathymetry file, ATLo0.08 to HAT20.08.
#
# --- ALL/bin/hycom_ij2lonlat can be used to find co-located points
# ---  on the two grids.  Since subregion p(1,1) must be on the
# ---  original grid, this is usually the point to reference.
# --- In the 2-degree Atlantic case:
# ---   hycom_ij2lonlat 1 1 ~/hycom/IASa0.50/topo/regional.grid.a
# ---    97.000W   3.997N
# ---   hycom_ij2lonlat 1 13 ~/hycom/ATLa2.00/topo/regional.grid.a
# ---    97.000W   3.997N
#
setenv D ~/s4/hycom/ATLo0.08/topo
setenv R ~/s4/hycom/HAT20.08/topo
#
touch regional.grid.a
if (-z regional.grid.a) then
  /bin/rm regional.grid.[ab]
  ln -s $D/regional.grid.a .
  ln -s $D/regional.grid.b .
endif
#
touch   ${R}/depth_HAT20.08_02.[ab]
/bin/rm ${R}/depth_HAT20.08_02.[ab]
../../ALL/subregion/src/isub_topog <<E-o-D
${D}/depth_ATLo0.08_10.a
${R}/depth_HAT20.08_02.a
depth_ATLo0.08_10 subregioned to HAT20.08_02 via isub_topog
 501      'idm   ' = longitudinal array size
 362      'jdm   ' = latitudinal  array size
 313      'irefi ' = longitudinal input  reference location
 136      'jrefi ' = latitudinal  input  reference location
   1      'irefo ' = longitudinal output reference location
   1      'jrefo ' = latitudinal  output reference location
   1      'ijgrd ' = integer scale factor between input and output grids
E-o-D
